aboutsummaryrefslogtreecommitdiffstats
path: root/testing/herbstluftwm/APKBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'testing/herbstluftwm/APKBUILD')
-rw-r--r--testing/herbstluftwm/APKBUILD44
1 files changed, 44 insertions, 0 deletions
diff --git a/testing/herbstluftwm/APKBUILD b/testing/herbstluftwm/APKBUILD
new file mode 100644
index 0000000000..e4a34564ee
--- /dev/null
+++ b/testing/herbstluftwm/APKBUILD
@@ -0,0 +1,44 @@
+# Maintainer: Eivind Uggedal <eivind@uggedal.com>
+pkgname=herbstluftwm
+pkgver=0.6.2
+pkgrel=0
+pkgdesc="Manual tiling window manager"
+url="http://herbstluftwm.org"
+arch="all"
+license="BSD"
+depends=""
+depends_dev=""
+makedepends="glib-dev libx11-dev libxinerama-dev"
+options=""
+install=""
+subpackages="$pkgname-doc $pkgname-bash-completion:completion"
+source="$url/tarballs/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+build() {
+ cd "$_builddir"
+
+ make PREFIX=/usr DESTDIR="$pkgdir"
+}
+
+package() {
+ cd "$_builddir"
+
+ make PREFIX=/usr DESTDIR="$pkgdir" install || return 1
+
+ rm -r "$pkgdir"/usr/share/zsh
+}
+
+completion() {
+ pkgdesc="Bash completion script for herbstluftwm"
+ arch="noarch"
+
+ install -dm755 "$subpkgdir"/usr/share/bash-completion/completions
+ mv "$pkgdir"/etc/bash_completion.d/herbstclient-completion \
+ "$subpkgdir"/usr/share/bash-completion/completions/herbstclient
+}
+
+md5sums="8bfbbdb16cf88821c8dacd5165590fd2 herbstluftwm-0.6.2.tar.gz"
+sha256sums="a89f5c397aee7f1aa3b39dd53bc67e282679f02f1c0bf3c33c41a608e217f0ac herbstluftwm-0.6.2.tar.gz"
+sha512sums="3fa70a285e21c9e0717f3301227b2fcc578e819c50d2bf380311253db2f5c864d6e42020b8b278ba4e555b5d75e0572144e06c0e8f2a395155415a4902a95421 herbstluftwm-0.6.2.tar.gz"